G22-2024 - Feature #1269

Commenter - Week12 - First Task
12/12/2024 03:09 PM - Kentaro HARATAKE

Status: Resolved Start date: 12/12/2024
Priority: High Due date: 12/20/2024
Assignee: Jiaye DING % Done: 100%
Category: Estimated time: 3.00 hours
Target version: Spent time: 3.00 hours
Description

Please check how to comment in Doxygen style in python.
you can review Task9 in Week09 assignment which you already finished and submitted.

If you don't know it, plz look it up. Write some comments on some sample codes (such as Week09 codes provided by prof), generate
a documentation using Doxygen (you can check class materials), and check if the comments are reflected.

| put some links here for commenting (use them as just references)
https://stackoverflow.com/questions/4302870/doxygen-syntax-in-python
https://www.woolseyworkshop.com/2020/06/25/documenting-python-programs-with-doxygen/

plz put your spent time every time after you work.

Once you understood everything that you can comment and generate expected comments with Doxygen, plz make this issue
"resolved" from edit.

History

#1 - 12/12/2024 03:11 PM - Kentaro HARATAKE

- Subject changed from 0 - Commenters to 0 - Commenters Main Task

#2 - 12/12/2024 10:47 PM - Toma IKUTA

- Subject changed from 0 - Commenters Main Task to Week12 - Commenting First Task
- Due date set to 12/18/2024

- Assignee set to Jiaye DING

- Priority changed from Urgent to High

- Estimated time set to 3.00 h

#3 - 12/12/2024 11:01 PM - Toma IKUTA

- Description updated

#4 - 12/12/2024 11:03 PM - Toma IKUTA

- Description updated

#5 - 12/12/2024 11:11 PM - Toma IKUTA

- Description updated

#6 - 12/12/2024 11:46 PM - Toma IKUTA
- Subject changed from Week12 - Commenting First Task to Commenter - Week12 - First Task

#7 - 12/13/2024 12:00 AM - Toma IKUTA

- Status changed from New to In Progress

#8 - 12/19/2024 12:04 AM - Toma IKUTA
- Due date changed from 12/18/2024 to 12/19/2024

#9 - 12/20/2024 03:52 PM - Jiaye DING
https://stackoverflow.com/questions/4302870/doxygen-syntax-in-python
https://www.woolseyworkshop.com/2020/06/25/documenting-python-programs-with-doxygen/

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

Complete the doxgen comment for Python

#10 - 12/20/2024 03:53 PM - Jiaye DING
- Due date changed from 12/19/2024 to 12/20/2024

https://blog.csdn.net/crylearner/articl il 7984
###doxygen + doxypypy + docstring generate python documents
https://blog.csdn.net/crylearner/article/details/38798455
http://www.tcpdf.org

